% Converted to BNT from BIF (cancer.bif) by bif2bnt (%Y-%m-%dT%T)
function bnet = mk_cancer()
node = struct('Pollution', 1, ...
              'Smoker', 2, ...
              'Cancer', 3, ...
              'Xray', 4, ...
              'Dyspnoea', 5);

adjacency = zeros(5);
adjacency([node.Smoker node.Pollution], node.Cancer) = 1;
adjacency([node.Cancer], node.Xray) = 1;
adjacency([node.Cancer], node.Dyspnoea) = 1;

value = {{'low'; 'high'}, ...
         {'True'; 'False'}, ...
         {'True'; 'False'}, ...
         {'positive'; 'negative'}, ...
         {'True'; 'False'}};

bnet = mk_bnet(adjacency, [2 2 2 2 2]);
bnet.CPD{node.Pollution} = tabular_CPD(bnet, node.Pollution, [0.9 0.1]);
bnet.CPD{node.Smoker} = tabular_CPD(bnet, node.Smoker, [0.3 0.7]);
bnet.CPD{node.Cancer} = tabular_CPD(bnet, node.Cancer, [0.03 0.05 0.001 0.02 0.97 0.95 0.999 0.98]);
bnet.CPD{node.Xray} = tabular_CPD(bnet, node.Xray, [0.9 0.2 0.1 0.8]);
bnet.CPD{node.Dyspnoea} = tabular_CPD(bnet, node.Dyspnoea, [0.65 0.3 0.35 0.7]);
end